require 'matriarch'
require 'json'
require 'sinatra/base'
require 'sinatra/json'

module Matriarch
  class App < Sinatra::Base
    get '/' do
      "oh hai\n"
    end

    post '/matrix' do
      config = ::Matriarch::Config.new(JSON.parse(request.body.read))
      json data: config.expand
    end

    run! if app_file == $PROGRAM_NAME
  end
end
